org.hibernate.search.metadata

## Enum NumericFieldSettingsDescriptor.NumericEncodingType

- java.lang.Object
- - java.lang.Enum<NumericFieldSettingsDescriptor.NumericEncodingType>
  - - org.hibernate.search.metadata.NumericFieldSettingsDescriptor.NumericEncodingType

- All Implemented Interfaces:
    Serializable, Comparable<NumericFieldSettingsDescriptor.NumericEncodingType>
  Enclosing interface:
    NumericFieldSettingsDescriptor

      public static enum NumericFieldSettingsDescriptor.NumericEncodingType
      extends Enum<NumericFieldSettingsDescriptor.NumericEncodingType>

  Defines different logical field types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE` An double encoded numeric field
    `FLOAT` An float encoded numeric field
    `INTEGER` An integer encoded numeric field
    `LONG` An long encoded numeric field
    `UNKNOWN` The encoding type of the numeric field is not known due to the use of a custom bridge

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericFieldSettingsDescriptor.NumericEncodingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NumericFieldSettingsDescriptor.NumericEncodingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final NumericFieldSettingsDescriptor.NumericEncodingType INTEGER

      An integer encoded numeric field

    - #### LONG

          public static final NumericFieldSettingsDescriptor.NumericEncodingType LONG

      An long encoded numeric field

    - #### FLOAT

          public static final NumericFieldSettingsDescriptor.NumericEncodingType FLOAT

      An float encoded numeric field

    - #### DOUBLE

          public static final NumericFieldSettingsDescriptor.NumericEncodingType DOUBLE

      An double encoded numeric field

    - #### UNKNOWN

          public static final NumericFieldSettingsDescriptor.NumericEncodingType UNKNOWN

      The encoding type of the numeric field is not known due to the use of a custom bridge

  - ### Method Detail

    - #### values

          public static NumericFieldSettingsDescriptor.NumericEncodingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NumericFieldSettingsDescriptor.NumericEncodingType c : NumericFieldSettingsDescriptor.NumericEncodingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NumericFieldSettingsDescriptor.NumericEncodingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved